Webhooks
List Webhook Endpoints
List webhook endpoints.
Scopes: webhooks:read webhooks:write
GET
/
v1
/
webhooks
/
endpoints
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
for item in polar.webhooks.iter_list_webhook_endpoints(
page=1,
limit=10,
):
print(item)
import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
for await (const item of polar.webhooks.iterListWebhookEndpoints(
{
"page": 1,
"limit": 10
},
)) {
console.log(item);
}
curl --request GET \
--url https://api.polar.sh/v1/webhooks/endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.polar.sh/v1/webhooks/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/webhooks/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"url": "<string>",
"secret": "<string>",
"organization_id": "<string>",
"events": [],
"enabled": true,
"name": "<string>"
}
],
"pagination": {
"total_count": 123,
"max_page": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Query Parameters
Filter by organization ID. The organization ID.
Example:
"1dbfc517-0bbf-4301-9ba8-555ca42b9737"
Page number, defaults to 1.
Size of a page, defaults to 10. Maximum is 100.
Was this page helpful?
⌘I
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
for item in polar.webhooks.iter_list_webhook_endpoints(
page=1,
limit=10,
):
print(item)
import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
for await (const item of polar.webhooks.iterListWebhookEndpoints(
{
"page": 1,
"limit": 10
},
)) {
console.log(item);
}

